Save start hook
curl --request POST \
--url https://api.replicas.dev/v1/environments/{environment_id}/start-hooks/save \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://api.replicas.dev/v1/environments/{environment_id}/start-hooks/save"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://api.replicas.dev/v1/environments/{environment_id}/start-hooks/save', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start_hook": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"content": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Hooks
Save start hook
Saves and activates the start hook. Empty content removes it. Does not rebuild the warm pool.
POST
/
v1
/
environments
/
{environment_id}
/
start-hooks
/
save
Save start hook
Authorizations
Organization or personal API key from Settings → API Keys.
Headers
API version. 2026-10-07 returns snake_case responses. See versioning.
Available options:
2026-10-07 Path Parameters
Environment UUID, or the literal string global.
Body
application/json
Shell script to persist and activate. Empty content clears the active start hook.
Response
Start hook saved and activated, or cleared when content is empty
The saved active start hook, or null when the request cleared the active start hook.
Show child attributes
Show child attributes
⌘I